org.jboss.jca.core.naming

## Class JndiBinder

- java.lang.Object
- - org.jboss.jca.core.naming.JndiBinder

- All Implemented Interfaces:
    javax.naming.spi.ObjectFactory

      public class JndiBinder
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  Helper class to create JNDI bindings
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiBinder()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind()` Bind
    `java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,?> environment)` Obtain the connection factory
    `void` | `setName(java.lang.String v)` Set the name
    `void` | `setObject(java.lang.Object v)` Set the object
    `void` | `unbind()` Unbind

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JndiBinder

          public JndiBinder()

      Constructor

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String v)

      Set the name
      Parameters:
        `v` - The value

    - #### setObject

          public void setObject(java.lang.Object v)

      Set the object
      Parameters:
        `v` - The value

    - #### getObjectInstance

          public java.lang.Object getObjectInstance(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,?> environment)
                                             throws java.lang.Exception

      Obtain the connection factory
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Throws:
        `java.lang.Exception`

    - #### bind

          public void bind()
                    throws java.lang.Throwable

      Bind
      Throws:
        `java.lang.Throwable` - Thrown in case of an error

    - #### unbind

          public void unbind()
                      throws java.lang.Throwable

      Unbind
      Throws:
        `java.lang.Throwable` - Thrown in case of an error

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)